<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@F064=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@F08E=9999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@F1AD=00</action>
      <action>maincpu.pb@F1B3=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Power Up">
    <script state="run">
      <action>maincpu.pb@F1F5=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Stop All Enemies">
    <script state="run">
      <action>maincpu.pb@F183=0F</action>
    </script>
  </cheat>

  <cheat desc="Kill All Enemies Now!">
    <script state="on">
      <action>maincpu.pb@F1EF=01</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@F1AF=01</action>
    </script>
  </cheat>

  <cheat desc="Select Current Level">
    <parameter min="1" max="60" step="1"/>
    <script state="change">
      <action>maincpu.pb@F08A=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@F06B=9A</action>
    </script>
  </cheat>

  <cheat desc="Get MUSTACHE Now! PL1"> <comment>This cheat gives you the MUSTACHE bonus - an extra life and advances you to the next round</comment>
    <script state="on">
      <action>maincpu.pb@F1FA=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@F06C=9A</action>
    </script>
  </cheat>

  <cheat desc="Get MUSTACHE Now! PL2"> <comment>This cheat gives you the MUSTACHE bonus - an extra life and advances you to the next round</comment>
    <script state="on">
      <action>maincpu.pb@F1FB=FF</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
